<?xml version="1.0" encoding="UTF-8"?>
<!-- rc8028.xslt, versie 1.0, 8 april 2022 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583">

	<!-- Laden Configuratiefile	-->
	<xsl:import href="config_Vecozo.xml"/>

	<!-- retourcode 8028: De waarde van BerichtSoort moet voldoen aan de omgeving van VECOZO (productie of test) -->
	<xsl:template name="rc8028">
		<xsl:param name="Berichtsoort"/>
		
		<xsl:if test="normalize-space($Berichtsoort) != normalize-space($OmgevingVecozo)">
			<gqs802:Feedback>
				<gqs802:Retourcode>8028</gqs802:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gqs802:BetrokkenElement>
					<gqs802:Elementnaam><xsl:value-of select="local-name($Berichtsoort)"/></gqs802:Elementnaam>
					<gqs802:Elementwaarde><xsl:value-of select="$Berichtsoort"/></gqs802:Elementwaarde>
				</gqs802:BetrokkenElement>
				<gqs802:BetrokkenElement>
					<gqs802:Elementnaam>OmgevingVecozo</gqs802:Elementnaam>
					<gqs802:Elementwaarde><xsl:value-of select="$OmgevingVecozo"/></gqs802:Elementwaarde>
				</gqs802:BetrokkenElement>
			</gqs802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
