<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9697.xslt, versie 2.0 u1, 26-2-2024 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583">

	<!-- retourcode 9697: Indien Berichttype is 03 (= Vervallen aanlevering), dan mag Prestatie niet voorkomen. -->
	<xsl:template name="rc9697">
		<xsl:param name="Berichttype"/>
		<xsl:param name="Prestatie"/>
		
		<xsl:if test="($Berichttype='03') and ($Prestatie)">
			<gqs802:Feedback>
				<gqs802:Retourcode>9697</gqs802:Retourcode>
					<!-- som de elementen op die de fout veroorzaken -->
					<gqs802:BetrokkenElement>
						<gqs802:Elementnaam><xsl:value-of select="local-name($Berichttype)"/></gqs802:Elementnaam>
						<gqs802:Elementwaarde><xsl:value-of select="$Berichttype"/></gqs802:Elementwaarde>
					</gqs802:BetrokkenElement>
			</gqs802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
