<?xml version="1.0" encoding="UTF-8"?>
<!-- rc8354.xslt, versie 1.0, 06 april 2022 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583">

	<!-- retourcode 8354: Indien Berichttype = 01 (= Oorspronkelijke aanlevering), dan moet BegindatumVerwerkingsperiode voorkomen. -->
	<xsl:template name="rc8354">
		<xsl:param name="Berichttype"/>
		<xsl:param name="BegindatumVerwerkingsperiode"/>

		<xsl:if test="($Berichttype='01') and not($BegindatumVerwerkingsperiode)">
			<gqs802:Feedback>
				<gqs802:Retourcode>8354</gqs802:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gqs802:BetrokkenElement>
					<gqs802:Elementnaam><xsl:value-of select="local-name($Berichttype)"/></gqs802:Elementnaam>
					<gqs802:Elementwaarde><xsl:value-of select="$Berichttype"/></gqs802:Elementwaarde>
				</gqs802:BetrokkenElement>
			</gqs802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
