<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9692.xslt, versie 2.0 u1, 26-2-2024 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583">

	<!-- retourcode 9692: Indien Header/Verzender niet = 7125 (= Orgaan van de verblijfplaats) of 9991 (= Orgaan van de woonplaats), dan mag InternationaalVerzekeringsbewijs niet voorkomen. -->
	<xsl:template name="rc9692">
		<xsl:param name="Verzender"/>
		<xsl:param name="InternationaalVerzekeringsbewijs"/>

		<xsl:if test="(($Verzender != '7125') and ($Verzender != '9991') and ($InternationaalVerzekeringsbewijs))">
			<gqs802:Feedback>
				<gqs802:Retourcode>9692</gqs802:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gqs802:BetrokkenElement>
					<gqs802:Elementnaam><xsl:value-of select="local-name($Verzender)"/></gqs802:Elementnaam>
					<gqs802:Elementwaarde><xsl:value-of select="$Verzender"/></gqs802:Elementwaarde>
				</gqs802:BetrokkenElement>
			</gqs802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
