<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9693.xslt, versie 2.0 u1, 26-2-2024 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583">

	<!-- retourcode 9693: Indien Berichttype is 01 (= Initiele aanlevering), dan mag GerelateerdReferentienummer niet voorkomen.  -->
	<xsl:template name="rc9693">
		<xsl:param name="Berichttype"/>
		<xsl:param name="GerelateerdReferentienummer"/>
		
		<xsl:if test="($Berichttype='01') and ($GerelateerdReferentienummer)">
			<gqs802:Feedback>
				<gqs802:Retourcode>9693</gqs802:Retourcode>
					<!-- som de elementen op die de fout veroorzaken -->
					<gqs802:BetrokkenElement>
						<gqs802:Elementnaam><xsl:value-of select="local-name($Berichttype)"/></gqs802:Elementnaam>
						<gqs802:Elementwaarde><xsl:value-of select="$Berichttype"/></gqs802:Elementwaarde>
					</gqs802:BetrokkenElement>
					<gqs802:BetrokkenElement>
						<gqs802:Elementnaam><xsl:value-of select="local-name($GerelateerdReferentienummer)"/></gqs802:Elementnaam>
						<gqs802:Elementwaarde><xsl:value-of select="$GerelateerdReferentienummer"/></gqs802:Elementwaarde>
					</gqs802:BetrokkenElement>
			</gqs802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
