<?xml version="1.0" encoding="UTF-8"?>
<!-- rcDatum_vs_Huidigedatum.xslt, versie 2.0 u1-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583">
	<!-- deze routine voert de volgende controle uit: 
		 	- als TeControlerenDatum een waarde bevat
				- controleer TeControlerenDatum met de gevraagde Vergelijking ten opzichte van de huidige datum uit config.xml, als TeControlerenDatum niet correct is, dan wordt Retourcode geretourneerd. -->
	<xsl:import href="config_Vecozo.xml"/>
	<xsl:template name="rcDatum_vs_Huidigedatum">
		<xsl:param name="TeControlerenDatum"/>
		<xsl:param name="Vergelijking"/>
		<xsl:param name="Retourcode"/>
		<xsl:if test="($TeControlerenDatum != '')">
			<xsl:if test="($Vergelijking = 'kleinerofgelijkaan') and (normalize-space(translate($TeControlerenDatum,'-','')) &gt; normalize-space(translate($HuidigeDatum,'-',''))) or
								($Vergelijking = 'groterofgelijkaan') and (normalize-space(translate($TeControlerenDatum,'-','')) &lt; normalize-space(translate($HuidigeDatum,'-',''))) or
								($Vergelijking = 'groterdan') and not(normalize-space(translate($TeControlerenDatum,'-','')) &gt; normalize-space(translate($HuidigeDatum,'-',''))) or
								($Vergelijking = 'gelijkaan') and not(normalize-space(translate($TeControlerenDatum,'-','')) = normalize-space(translate($HuidigeDatum,'-','')))">
				<gqs802:Feedback>
					<gqs802:Retourcode>
						<xsl:value-of select="$Retourcode"/>
					</gqs802:Retourcode>
					<!-- som de elementen op die de fout veroorzaken -->
					<gqs802:BetrokkenElement>
						<gqs802:Elementnaam>
							<xsl:value-of select="local-name($TeControlerenDatum)"/>
						</gqs802:Elementnaam>
						<gqs802:Elementwaarde>
							<xsl:value-of select="$TeControlerenDatum"/>
						</gqs802:Elementwaarde>
					</gqs802:BetrokkenElement>
					<gqs802:BetrokkenElement>
						<gqs802:Elementnaam>Huidige datum</gqs802:Elementnaam>
						<gqs802:Elementwaarde>
							<xsl:value-of select="$HuidigeDatum"/>
						</gqs802:Elementwaarde>
					</gqs802:BetrokkenElement>
				</gqs802:Feedback>
			</xsl:if>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
